<!DOCTYPE html>
<html lang="en">
<head>
    <!-- ... (previous head content) ... -->
    <style>
        /* ... (previous styles) ... */

        .goal-card {
            background-color: #fce9e9;
            padding: 20px;
            border-radius: 8px;
            box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
            margin-bottom: 20px;
            position: relative;
        }

        .goal-card h2 {
            color: #e75480;
        }

        .goal-card button {
            background-color: #e75480;
            color: white;
            padding: 10px;
            border: none;
            border-radius: 4px;
            cursor: pointer;
        }

        .goal-card button:hover {
            background-color: #d33f5f;
        }

        /* Animation */
        @keyframes stickerAnimation {
            0% { transform: translateY(0); }
            25% { transform: translateY(-10px); }
            50% { transform: translateY(0); }
            75% { transform: translateY(-5px); }
            100% { transform: translateY(0); }
        }

        .sticker {
            position: absolute;
            top: -10px;
            left: 50%;
            transform: translateX(-50%);
            animation: stickerAnimation 0.5s ease-in-out;
        }
    </style>
</head>
<body>
    <h1>Financial Planning</h1>
    <form action="/calculate" method="post">
        <!-- ... (previous form content) ... -->
        <button type="submit" onclick="addSticker()">Create Goal</button>
    </form>

    <!-- Goal Cards Container -->
    <div id="goalContainer"></div>

    <!-- JavaScript for adding sticker and displaying goals -->
    <script>
        function addSticker() {
            const container = document.getElementById("goalContainer");
            const sticker = document.createElement("div");
            sticker.className = "sticker";
            sticker.innerHTML = "🎉 Goal Created!";
            container.appendChild(sticker);

            // Remove the sticker after the animation
            setTimeout(() => {
                container.removeChild(sticker);
            }, 500);
        }

        // Mock data for displaying goals
        const goals = [
            { title: "Save for a Vacation", amount: 500 },
            { title: "Emergency Fund", amount: 1000 },
            // Add more goals as needed
        ];

        // Display goals in the grid
        const goalContainer = document.getElementById("goalContainer");
        goals.forEach((goal) => {
            const goalCard = document.createElement("div");
            goalCard.className = "goal-card";
            goalCard.innerHTML = `
                <h2>${goal.title}</h2>
                <p>Amount: $${goal.amount}</p>
                <button>Complete Goal</button>
            `;
            goalContainer.appendChild(goalCard);
        });
    </script>
</body>
</html>
